#
# (C) COPYRIGHT 2020, Joao Luiz Elias Campos.
# All Rights Reserved
# Duplication of this program or any part thereof without the express
# written consent of the author is prohibited
#

#' @file baseline.R
#' @author Joao Luiz Elias Campos \email{jlecampos@gmail.com}
#' @date April 26, 2020

baseline = function(x,m=5) {
  n = length(x)
  x1 = mean(x[1:m])
  xn = mean(tail(x,n=m))
  yv = rep(NA,n)
  for(i in 1:n) {
    yv[i] = x[i]-(x1+((xn-x1)*(i/n)))
  }
  return(yv)
}

# End of File

