#
# (C) COPYRIGHT 2020, Joao Luiz Elias Campos.
# All Rights Reserved
# Duplication of this program or any part thereof without the express
# written consent of the author is prohibited
#

#' @file crop_data.R
#' @author Joao Luiz Elias Campos \email{jlecampos@gmail.com}
#' @date April 26, 2020

crop_data = function(v,vmin=v[1],vmax=tail(v,n=1),vindex=FALSE) {
  if(is.na(vmin)) vmin=v[1]
  if(is.na(vmax)) vmax=tail(v,n=1)
  if(vmin > vmax) {
    temp = vmax
    vmax = vmin
    vmin = temp
  }
  idx = which(v >= vmin & v <= vmax)
  if(vindex) return(idx)
  else       return(v[idx])
  return(NULL)
}

# End of File

