#
# (C) COPYRIGHT 2020, Joao Luiz Elias Campos.
# All Rights Reserved
# Duplication of this program or any part thereof without the express
# written consent of the author is prohibited
#

#' @file reconstruct.R
#' @author Joao Luiz Elias Campos \email{jlecampos@gmail.com}
#' @date April 26, 2020

reconstruct = function(pca,ids=NULL) {
  if(is.null(ids)) ids = 1:nocl(pca$x)
  ms = pca$x[,ids] %*% t(pca$rotation[,ids])
  if(!is.logical(pca$scale)) {
    ms = scale(ms,center=FALSE,scale=1/pca$scale)
  }
  if(!is.logical(pca$center)) {
    ms = scale(ms,center=-1*pca$center,scale=FALSE)
  }
  return(ms)
}

# End of File

